/*
 * NetcraftToolbar - Constants
 *
 * Copyright (C) 2014 Netcraft Ltd
 * http://toolbar.netcraft.com/ 
 *
 * $Id: chrome:content:constants.js,v 1.4 2009/12/15 17:29:20 jli Exp $
 */

if (!com) var com={};
if (!com.netcraft) com.netcraft={};
if (!com.netcraft.toolbar) com.netcraft.toolbar={};

com.netcraft.toolbar.constants = {
    PT_VERSION: "1.10.1",

    PT_BRANCHNAME: "netcrafttoolbar.",
    PT_VERSIONPREF: "version",
    PT_IDPREF: "id",
    PT_EXTLASTUPDATE: "extensions.update.lastUpdateDate",
    PT_BROWSEROFFLINE: "browser.offline",
    PT_BROWSEROPEN: "browser.link.open_external",
    PT_BROWSERBG: "browser.tabs.loadBookmarksInBackground",
    PT_SHOWDEBUGINCONSOLE: "showDebugInConsole",

    PT_ABOUTWINDOWURI: "chrome://netcrafttoolbar/content/about.xul",
    PT_ABOUTWINDOWTITLE: "About NetcraftToolbar",
    PT_ABOUTWINDOWPARAMS: "chrome,centerscreen",
    PT_BUILDHEX: "12517278A8CC",
    PT_TOOLBARID: "netcrafttoolbar",
    PT_DESCRIPTIONID: "netcrafttoolbar-description",

    PT_RISKBARLEN: 56,
    PT_BUFSIZ: 4096,
    PT_CACHECHECKURL: 15 * 60,

    PT_MAXURLLEN: 64,

    PT_CONSOLEERRORPREFIX: "NetcraftToolbar Error: ",
    PT_RATELIMITED: "Rate limit hit",
    PT_SERVERERROR: "Toolbar Server Error",
    PT_NETWORKERROR: "Could not connect to host",
    PT_UNAVAILABLEERROR: "Temporarily unavailable",

    PT_CHECKURL: "http://mirror.toolbar.netcraft.com/check_url/v2/",
    PT_SITEREPORTURL: "http://toolbar.netcraft.com/site_report",
    PT_TOPSITESURL: "http://toolbar.netcraft.com/stats/topsites",
    PT_NETBLOCKURL: "http://toolbar.netcraft.com/netblock",
    PT_PFSURL: "http://toolbar.netcraft.com/help/faq/index.html#pfs",
    PT_POODLEURL: "http://toolbar.netcraft.com/help/faq/index.html#sslv3",
    PT_HEARTBLEEDURL: "http://toolbar.netcraft.com/help/faq/index.html#heartbleed",
    PT_XSSDATURL: "chrome://netcrafttoolbar/content/xss.dat",
    PT_LBDATURL: "chrome://netcrafttoolbar/content/localblock.dat",
    PT_PHISHINGBLOCKEDURL: "chrome://netcrafttoolbar/content/blocked.html",
    PT_XSSBLOCKEDURL: "chrome://netcrafttoolbar/content/blocked.html",
    PT_LBBLOCKEDURL: "chrome://netcrafttoolbar/content/blocked.html",

    PT_REPORTMSG:
        "If this is a mistake, please report it using\n" +
        "'Report Incorrectly Blocked URL' in the Netcraft Menu.\n\n",

    PT_ALERTMSG:
        "The page you are trying to visit %ACTION%.\n\n" +
        "URL: %URL%\n\n%PT_REPORTMSG%" +
        "Do you still want to go there?",

    PT_PHISHINGMSG: 
        "has been blocked by the Netcraft Toolbar because it\n" + 
        "is believed to be part of a fraudulent phishing attack",
    PT_XSSMSG: "is suspected to be using Cross-Site Scripting (XSS).\n" +
        "This is a technique commonly used in phishing attacks",
    PT_LBMSG : "contains suspicious characters, indicating that it might be a malicious site",
    PT_NOINFO: "No information available",
    
    PT_ABSPOS: "position: absolute; left: 0px; top: 0px;",
    NETCRAFT_DEBUG: 0,
    NETCRAFT_VERBOSE: 0 || 0,
    NETCRAFT_CONSOLE: 0
}
